=== debian/changelog ===
wtdbg2 (2.5-11) unstable; urgency=medium

  * d/patches/*: normalize Last-Update timestamp.
  * gcc-15.patch: fix build failure with gcc-15. (Closes: #1098113)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 20 Oct 2025 22:17:19 +0200

wtdbg2 (2.5-10) unstable; urgency=medium

  * d/rules: repair double source builds.
    This involved cleaning up traces of CPU flag specific builds, in the
    context of SIMDe builds.  This also involved preserving a number of
    files affected by sed commands doing a wealth of changes on a number
    of files.  Lists of binaries and CPU flags involved in the cleanup
    process could be reused to simplify a bit the build procedure.
    (Closes: #1045984)
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sat, 04 May 2024 19:59:44 +0200

wtdbg2 (2.5-9) unstable; urgency=medium

  * Set  Architecture: amd64  since this seems to be the only architecture
    without autopkgtest issues
    Closes: #1025249
  * Fix download name of upstream tarball
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2022 17:13:05 +0100

wtdbg2 (2.5-8) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 17:15:39 +0200

wtdbg2 (2.5-7) unstable; urgency=medium

  * Team Upload.
  * move wtdbg2-examples to "Suggests"
  * s/MIT/Expat (fix with cme)
  * Include run-unit-test script in examples binary

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 03 Sep 2020 15:24:21 +0530

wtdbg2 (2.5-6) unstable; urgency=medium

  * Make sure simd-dispatch will be installed only in main package
    Closes: #968275

 -- Andreas Tille <tille@debian.org>  Thu, 13 Aug 2020 15:16:51 +0200

wtdbg2 (2.5-5) unstable; urgency=medium

  * Team upload.
  * Source only upload for testing migration

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 11 Aug 2020 18:40:50 +0530

wtdbg2 (2.5-4) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests
  * Save up space by not extracting the binary
  * New binary: wtdbg2-examples
  * Minor fixes on manpages
  * Fix spellings

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 09 Aug 2020 20:28:18 +0530

wtdbg2 (2.5-3) unstable; urgency=medium

  * Team upload.
  * Build on all architectures and don't violate the i386/amd64 baselines
    Closes: #958091
  * Install the scripts to /usr/share/wtdbg2/ and add their dependencies under
    "Suggests"
  * Install the README.md

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 10:56:49 +0200

wtdbg2 (2.5-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 11:53:09 +0200

wtdbg2 (2.5-1) unstable; urgency=medium

  * Initial release (Closes: #955548)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 13:39:43 +0200
