=== debian/control ===
Source: wtdbg2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               libsimde-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/wtdbg2
Vcs-Git: https://salsa.debian.org/med-team/wtdbg2.git
Homepage: https://github.com/ruanjue/wtdbg2

Package: wtdbg2
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: ${perl:Depends},
          minimap2,
          samtools,
          mummer,
          wtdbg2-examples
Description: de novo sequence assembler for long noisy reads
 Wtdbg2 is a de novo sequence assembler for long noisy reads produced by
 PacBio or Oxford Nanopore Technologies (ONT). It assembles raw reads
 without error correction and then builds the consensus from intermediate
 assembly output. Wtdbg2 is able to assemble the human and even the 32Gb
 Axolotl genome at a speed tens of times faster than CANU and FALCON
 while producing contigs of comparable base accuracy.
 .
 During assembly, wtdbg2 chops reads into 1024bp segments, merges similar
 segments into a vertex and connects vertices based on the segment
 adjacency on reads. The resulting graph is called fuzzy Bruijn graph
 (FBG). It is akin to De Bruijn graph but permits mismatches/gaps and
 keeps read paths when collapsing k-mers. The use of FBG distinguishes
 wtdbg2 from the majority of long-read assemblers.

Package: wtdbg2-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: wtdbg2
Multi-Arch: foreign
Description: Examples for wtdbg - de novo sequence assembler
 Wtdbg2 is a de novo sequence assembler for long noisy reads produced by
 PacBio or Oxford Nanopore Technologies (ONT). It assembles raw reads
 without error correction and then builds the consensus from intermediate
 assembly output. Wtdbg2 is able to assemble the human and even the 32Gb
 Axolotl genome at a speed tens of times faster than CANU and FALCON
 while producing contigs of comparable base accuracy.
 .
 This package contains a test data set as well as sample scripts
 running some test suite provided by Debian also as autopkgtest.
