=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bwa, minimap2, samtools
Restrictions: allow-stderr
